gi-gdk-3.0.28: Gdk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Gdk.Structs.EventSequence

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype EventSequence = EventSequence (ManagedPtr EventSequence)

# Exported types

newtype EventSequence Source #

Memory-managed wrapper type.

Constructors

EventSequence (ManagedPtr EventSequence) |

#### Instances

Instances details

Eq EventSequence Source # |
Instance details Defined in GI.Gdk.Structs.EventSequence Methods (==) :: EventSequence -> EventSequence -> Bool Source # (/=) :: EventSequence -> EventSequence -> Bool Source #
GBoxed EventSequence Source # |
Instance details Defined in GI.Gdk.Structs.EventSequence
ManagedPtrNewtype EventSequence Source # |
Instance details Defined in GI.Gdk.Structs.EventSequence Methods toManagedPtr :: EventSequence -> ManagedPtr EventSequence Source #
TypedObject EventSequence Source # |
Instance details Defined in GI.Gdk.Structs.EventSequence Methods glibType :: IO GType Source #
HasParentTypes EventSequence Source # |
Instance details Defined in GI.Gdk.Structs.EventSequence
IsGValue (Maybe EventSequence) Source # | Convert `EventSequence` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gdk.Structs.EventSequence Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe EventSequence -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe EventSequence) Source #
type ParentTypes EventSequence Source # |
Instance details Defined in GI.Gdk.Structs.EventSequence type ParentTypes EventSequence = '[] :: [Type]

# Methods